package com.zanxiang.sdk.domain.params;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-06-07
 * @description : 用户登录参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LoginPasswordParam extends CommonParam {

    /**
     * 用户名
     */
    @ApiModelProperty(notes = "用户名")
    @JsonAlias("mem-username")
    @NotBlank(message = "登陆用户名字不可为空")
    private String username;

    /**
     * 密码
     */
    @ApiModelProperty(notes = "密码")
    @NotBlank(message = "登陆密码不可为空")
    @JsonAlias("mem-password")
    private String password;
}
